# Lookup homes owned by homeowners

Submit a batch request to receive an array of homes owned by a homeowner based on their address (MAK).

The following are the possible minimum input requirements:
- OwnerMAK
- FreeForm

Endpoint: POST /LookupHomesByOwner

## Header parameters:

  - `Accept` (string, required)
    Format of the response.
    Enum: "application/json", "*/*"

  - `Content-Type` (string, required)
    Format of the request.
    Enum: "application/json", "application/xml"

## Request fields (application/json):

  - `Format` (string)
    Desired format of the response.
    Enum: "json", "xml"

  - `CustomerId` (string, required)
    Required. The [License Key](https://docs.melissa.com/melissa/license/license-information.html) issued by Melissa.

  - `TransmissionReference` (string)
    This is a string value that serves as a unique identifier for this set of records. It is returned as sent.

  - `FreeForm` (string)
    Free form address for the property.

  - `OwnerMAK` (string)
    A proprietary unique key identifier for an address derived from Address Checking.

## Response 200 fields (application/json):

  - `Version` (string)
    The current service version number.

  - `TransmissionReference` (string)
    Serves as a unique request identifier.

  - `Results` (string)
    Lists error codes from any errors caused by the most recent request as a whole. For more information, see [Property Result Codes](https://docs.melissa.com/cloud-api/property/result-codes.html).

  - `TotalRecords` (integer)
    Total number of records.

  - `Records` (array)

  - `Records.APN` (string)
    The Assessor's Parcel Number (APN).

  - `Records.BaseMAK` (string)
    A unique key assigned to the base address of a complex with apartments or suites.

  - `Records.FIPS` (string)
    The six-digit Federal Information Processing Standard (FIPS) code for the county containing the property.

  - `Records.MAK` (string)
    (Melissa Address Key) A unique key assigned to the address record.

  - `Records.PropertyAddress` (string)
    The address of the property.

  - `Records.PropertyCity` (string)
    The city containing the property.

  - `Records.PropertyPlus4` (string)
    The plus 4 of the ZIP Code containing the property.

  - `Records.PropertyState` (string)
    The state containing the property.

  - `Records.PropertyZip` (string)
    The ZIP Code containing the property.

## Response 400 fields (application/json):

  - `type` (string)
    The type of error that occurred.

  - `title` (string)
    A short summary of the error.

  - `status` (integer)
    The HTTP status code for the error.

  - `errors` (object)

  - `errors.$.<PropertyName>` (array)
    A detailed message about the error.

  - `traceId` (string)
    A unique identifier for the request, useful for debugging.


